Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: [email-masked] (Ludovic Courtès)
Date: Wed, 09 Dec 2015 15:02:17 +0100

Hi!

Jessica Tallon <[email-masked]> skribis:

> I just checked in Trisquel as I was curious what driver was being used
> there and `lsusb -t` shows the driver to be usbhid module. I confirmed
> this by unloading the module and verifying the keyboard stopped
> working.
>
> I did then boot the guix 0.9 installation image again and lsmod does
> show that the module is infact loaded in guix but yet the keyboard does
> not work. I'm not sure what could be causing it.

Weird.  Could you compare the two lsmod outputs entirely, to see if
there’s something else we’re missing?

Thanks in advance,
Ludo’.